layer 发布 2.4,兼容jQuery 3.0

提问 未结
9 8358
贤心
贤心 2016-7-4
悬赏:5飞吻
jQuery 陪web工程师走过了一个时代。然而在这个百花齐放的大背景下,它终究在逐渐被替代。3.0的发布显得格外的低调,而作为从一开始就依托于jQuery的layer,2.4的发布,重心只为兼容jQuery3.0(因为被部分API的改造所影响),当然,也为那个时代。

更新日志
# v2.4(2016.07.03)
* 兼容jQuery3.0
* 优化tips,可支持配置参数fix(之前是强制fix: false),用于决定是固定的tips还是非固定的。
* min回调可通过return false来设定不执行默认最小化。
* 修复在移动端使用iframe,IOS下无法滑动的bug。
* 细节优化及样式微调
往期更新:
layer 2.3发布,合并拓展模块,修复多项bug

回帖
  • iamtt
    2016-7-4
    哪里下载最新的
    0 回复
  • 贤心
    贤心 (管理员)
    2016-7-4
    @iamtt layer首页就可以下载了
    0 回复
  • iamtt
    2016-7-4
    下载了,我上去后select还是有问题,可以帮我看下这个问题吗?
    http://fly.layui.com/jie/3164.html
    0 回复
  • 贤心
    贤心 (管理员)
    2016-7-4
    @iamtt 你那样用肯定不行,会造成ID重复。
    把content换成这样的赋值:
    content: $('#pmodel')
    并且需确保你的#pmodel所在元素是在body根节点下。
    0 回复
  • Mr72
    2016-7-4
    赞一个,深度使用N多年了[哈哈]
    早已成了好基友~
    0 回复
  • [鼓掌] [鼓掌] [鼓掌]
    0 回复
  • 柯广强
    2016-7-11
    有两个功能建议:
    1. 添加窗口可拖动大小功能
    2. 添加Close统一回调函数支持,可return false 取消关闭
    0 回复
  • 新版本发布了,置顶一下啊,晚来几天都看不到的。
    0 回复
  • sniffrose
    2017-8-30
    旧版本的代码在哪里可以下载呢,在维护一个别人留下的项目,有些文件缺失了,谢谢。
    0 回复